View Issue Details

IDProjectCategoryView StatusLast Update
0006420libeufinnexuspublic2020-07-09 19:29
ReporterMS Assigned ToMS  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Summary0006420: Return always JSON in responses, and make HTTP response code match the EBICS error.
DescriptionNexus should return *always* JSON, and if one EBICS response has errors, then the response's status code should represent the problem that happened in the EBICS communication.
TagsNo tags attached.

Activities

MS

2020-07-08 13:03

manager   ~0016397

Nexus seems to already respond always with JSON. Another review is needed to check if such responses reflect always what the bank says.

MS

2020-07-09 19:28

manager   ~0016437

The current style tends to throw EbicsProtocolError() when the bank sends a invalid response, or some technical error happens. This object is then caught and its message gets included in the NexusErrorJson() response object.

This can be closed, but error management needs to be tested!

Issue History

Date Modified Username Field Change
2020-06-30 13:36 MS New Issue
2020-06-30 13:51 Florian Dold Assigned To => MS
2020-06-30 13:51 Florian Dold Status new => assigned
2020-06-30 18:00 MS Summary Return always JSON in responses, and make HTTP response code to match the EBICS error. => Return always JSON in responses, and make HTTP response code match the EBICS error.
2020-07-08 12:10 MS Description Updated View Revisions
2020-07-08 13:03 MS Note Added: 0016397
2020-07-09 19:28 MS Note Added: 0016437
2020-07-09 19:29 MS Status assigned => resolved
2020-07-09 19:29 MS Resolution open => fixed